Main Page | Alphabetical List | Data Structures | File List | Data Fields | Globals

# dmxfont.h File Reference

`#include "fontstruct.h"`

Go to the source code of this file.

## Data Structures
struct | _dmxFontPriv
## Typedefs
typedef _dmxFontPriv | dmxFontPrivRec
typedef _dmxFontPriv * | dmxFontPrivPtr
## Functions
void | dmxInitFonts (void)
void | dmxResetFonts (void)
Bool | dmxRealizeFont (ScreenPtr pScreen, FontPtr pFont)
Bool | dmxUnrealizeFont (ScreenPtr pScreen, FontPtr pFont)
Bool | dmxBELoadFont (ScreenPtr pScreen, FontPtr pFont)
Bool | dmxBEFreeFont (ScreenPtr pScreen, FontPtr pFont)
## Variables
int | dmxFontPrivateIndex

## Detailed Description

Interface for font-related functions.

See also:
  dmxfont.c

## Typedef Documentation

typedef struct _dmxFontPriv * dmxFontPrivPtr

| Font private area.

typedef struct _dmxFontPriv dmxFontPrivRec

| Font private area.

## Function Documentation

Bool dmxBEFreeFont | ( | ScreenPtr | pScreen,
|  | FontPtr | pFont
| ) |

| Free pFont on the back-end associated with pScreen.

Bool dmxBELoadFont | ( | ScreenPtr | pScreen,
|  | FontPtr | pFont
| ) |

| Load the font, pFont, on the back-end server associated with pScreen. When a font is loaded, the font path on back-end server is first initialized to that specified on the command line with the -fontpath options, and then the font is loaded.

void dmxInitFonts | ( | void |  | ) |

| Initialize font support. In addition to the screen function call pointers, DMX also hooks in at the ProcVector[] level. Here the old ProcVector function pointers are saved and the new ProcVector function pointers are initialized.

Bool dmxRealizeFont | ( | ScreenPtr | pScreen,
|  | FontPtr | pFont
| ) |

| Realize the font, pFont, on the back-end server associated with pScreen.

void dmxResetFonts | ( | void |  | ) |

| Reset font support by restoring the original ProcVector function pointers.

Bool dmxUnrealizeFont | ( | ScreenPtr | pScreen,
|  | FontPtr | pFont
| ) |

| Unrealize the font, pFont, on the back-end server associated with pScreen.

## Variable Documentation

int dmxFontPrivateIndex

| Private index for Fonts